package jrummikub.model;

import java.awt.Color;

/**
 * Interface for {@link Player} model
 */
public interface IPlayer {

	/**
	 * Get the current hand of the player
	 * 
	 * @return the player's hand
	 */
	public IHand getHand();

	/**
	 * Return the player's color
	 * 
	 * @return the player's color
	 */
	public Color getColor();

	/**
	 * Return the name of the player
	 * 
	 * @return the player's name
	 */
	public String getName();

}